"
I'm just a prototype of how morphic buttons can be embedded
inside a Grafoscopio notebook UI via Spec.
I'm not used in the actual UI, but I'm more a remainder of directions
to explore.
"
Class {
	#name : #GrafoscopioButtonModel,
	#superclass : #ComposableModel,
	#instVars : [
		'button'
	],
	#category : #'Grafoscopio-UI'
}

{ #category : #specs }
GrafoscopioButtonModel class >> defaultSpec [

	^ SpecLayout composed add: #button
]

{ #category : #accessing }
GrafoscopioButtonModel >> body [
	^ self button
]

{ #category : #accessing }
GrafoscopioButtonModel >> button [
	^ button
]

{ #category : #accessing }
GrafoscopioButtonModel >> button: anObject [
	button := anObject
]

{ #category : #api }
GrafoscopioButtonModel >> content: anAssoc [
	button label: anAssoc key.
	button action: anAssoc value.
]

{ #category : #initalize }
GrafoscopioButtonModel >> initializeWidgets [
	button := self newButton.
]
